Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezdfsfilehandlerdfsbackendinterface.php
Go to the documentation of this file.
1 <?php
17 interface eZDFSFileHandlerDFSBackendInterface
18 {
27 public function copyFromDFSToDFS( $srcFilePath, $dstFilePath );
28
37 public function copyFromDFS( $srcFilePath, $dstFilePath = false );
38
48 public function copyToDFS( $srcFilePath, $dstFilePath = false );
49
58 public function delete( $filePath );
59
69 public function passthrough( $filePath, $startOffset = 0, $length = false );
70
79 public function getContents( $filePath );
80
89 public function createFileOnDFS( $filePath, $contents );
90
99 public function renameOnDFS( $oldPath, $newPath );
100
108 public function existsOnDFS( $filePath );
109
117 public function getDfsFileSize( $filePath );
118
126 public function getFilesList( $basePath );
127
133 public function applyServerUri( $filePath );
134 }
$contents
$contents
Definition: ezarticle/user/extendedsearch.php:52
$filePath
$filePath
Definition: ezfilemanager/user/filedownload.php:50
eZDFSFileHandlerDFSBackendInterface
Definition: ezdfsfilehandlerdfsbackendinterface.php:18
eZDFSFileHandlerDFSBackendInterface\renameOnDFS
renameOnDFS( $oldPath, $newPath)
eZDFSFileHandlerDFSBackendInterface\existsOnDFS
existsOnDFS( $filePath)
eZDFSFileHandlerDFSBackendInterface\copyFromDFSToDFS
copyFromDFSToDFS( $srcFilePath, $dstFilePath)
eZDFSFileHandlerDFSBackendInterface\getContents
getContents( $filePath)
eZDFSFileHandlerDFSBackendInterface\copyFromDFS
copyFromDFS( $srcFilePath, $dstFilePath=false)
eZDFSFileHandlerDFSBackendInterface\applyServerUri
applyServerUri( $filePath)
eZDFSFileHandlerDFSBackendInterface\passthrough
passthrough( $filePath, $startOffset=0, $length=false)
eZDFSFileHandlerDFSBackendInterface\copyToDFS
copyToDFS( $srcFilePath, $dstFilePath=false)
eZDFSFileHandlerDFSBackendInterface\createFileOnDFS
createFileOnDFS( $filePath, $contents)
eZDFSFileHandlerDFSBackendInterface\getFilesList
getFilesList( $basePath)
eZDFSFileHandlerDFSBackendInterface\getDfsFileSize
getDfsFileSize( $filePath)
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.